查看: 975|回复: 0

[Java学习] 详解eclipse中Maven工程使用Tomcat7以上插件的方法

发表于 2018-1-5 08:00:00

Maven中使用tomcat:run命令默认是使用Tomcat6的版本,

现在要用到Tomcat7以上的版本,在eclipse的Maven工程中配置如下

第一步:在项目的pom里面加入如下配置:

官网配置: http://tomcat.apache.org/maven-plugin-trunk/

  1. <pluginManagement>
  2. <plugins>
  3. <plugin>
  4. <groupId>org.apache.tomcat.maven</groupId>
  5. <artifactId>tomcat6-maven-plugin</artifactId>
  6. <version>2.3-SNAPSHOT</version>
  7. </plugin>
  8. <plugin>
  9. <groupId>org.apache.tomcat.maven</groupId>
  10. <artifactId>tomcat7-maven-plugin</artifactId>
  11. <version>2.3-SNAPSHOT</version>
  12. </plugin>
  13. </plugins>
  14. </pluginManagement>
复制代码

第二步:启动项目的时候,run as --> Maven Build --> 选择项目路径, Goals里面写tomcat7:run

运行即可

以上就是本文的全部内容,希望对大家的学习有所帮助,也希望大家多多支持程序员之家。



回复

使用道具 举报